import {
  a,
  c as n
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/node-repl.js
var t = n((i, e) => {
  function s(r) {
    return {
      name: "Node REPL",
      contains: [
        {
          className: "meta",
          starts: {
            // a space separates the REPL prefix from the actual code
            // this is purely for cleaner HTML output
            end: / |$/,
            starts: {
              end: "$",
              subLanguage: "javascript"
            }
          },
          variants: [
            {
              begin: /^>(?=[ ]|$)/
            },
            {
              begin: /^\.\.\.(?=[ ]|$)/
            }
          ]
        }
      ]
    };
  }
  a(s, "nodeRepl");
  e.exports = s;
});

export {
  t as a
};
